<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_dd45fa0d6586ab8e73f6" . "f6f116b1a970" => base64_decode("cHJldl91c" . "2VyX2lk"), "_28c85ce81fee" . "6532980262893" . "b6f2425" => base64_decode("dXNlcm" . "5hbWU="), "_b070ffda70d673baa2ab" . "1a4ca13c254c" => base64_decode("cHJldl91c2VybmFtZQ=" . "="), "_5439477835f9c7cc26a" . "988f88cb19553" => base64_decode("cHJldl9mdWxsX2" . "5hbWU="), "user_i" . "d" => base64_decode("dXN" . "lcl" . "9pZ" . "A=="), "_eb6cb46237" . "35c07195e93" . "735d659236d" => base64_decode("cHJldl9lbWF" . "pbF9hZGRyZX" . "Nz"), "_539cf4259a149ca9dbb739b2cdb7" . "c608" => base64_decode("ZW1haWxfYWRkc" . "mVzcw=="), "contex" . "t" => base64_decode("Y29udGV" . "4dA=="), "_baec81a" . "782bb3d5" . "38149a92" . "25688246" . "e" => base64_decode("ZXZlbnRf" . "c291cmNl"), "_8cca4dd34e20c5344bb2a30f253" . "3c4e5" => base64_decode("ZnVsbF" . "9uYW1l"));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["contex" . "t"]) ? $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["contex" . "t"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["user_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_8cca4dd34e20c5344" . "bb2a30f2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_28c85ce81fee6532980262893b6f242" . "5"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_539cf4259a149" . "ca9dbb739b2cdb" . "7c608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_dd45fa0d6586ab" . "8e73f6f6f116b1a" . "970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_5439477835f9c7cc26a988f88cb1955" . "3"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_b070ffda70d673baa2ab1a4ca13c2" . "54c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_eb6cb4623735c07195e9" . "3735d659236d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_baec81a782bb3d538149a9225688246" . "e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}